<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: auth/OAuthId/OAuthId.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_o_auth_id_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OAuthId.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_OAUTHID_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_OAUTHID_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;QtCore/QByteArray&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QString&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="class_o_auth_id.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_o_auth_id.html">OAuthId</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="class_o_auth_id.html#a9c79e46493ade8bfd80ce76cdf737f5b">OAuthId</a>(QString username, QString password);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="class_o_auth_id.html#a9c79e46493ade8bfd80ce76cdf737f5b">OAuthId</a>(QByteArray userHash, QByteArray passwordHash);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="comment">// getters</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keyword">const</span> QString <a class="code" href="class_o_auth_id.html#ad0de83b6ce1bc32fd31a9a691829998b">getUserHash</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keyword">const</span> QString <a class="code" href="class_o_auth_id.html#a2d56afa3d3ba8274e84dcc731cc8ab49">getPasswordHash</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="comment">// operators</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <a class="code" href="class_o_auth_id.html">OAuthId</a> &amp;<a class="code" href="class_o_auth_id.html#ab3a93fd96aec89e320b442aeaf5e061d">operator=</a>(<span class="keyword">const</span> <a class="code" href="class_o_auth_id.html">OAuthId</a> &amp;<span class="keywordtype">id</span>);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth_id.html#a67e1547b732f2d2e22c20a8e7171310e">operator==</a>(<span class="keyword">const</span> <a class="code" href="class_o_auth_id.html">OAuthId</a> &amp;other) <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_o_auth_id.html#a7bf5d93c1825b78515519013b05c5062">operator!=</a>(<span class="keyword">const</span> <a class="code" href="class_o_auth_id.html">OAuthId</a> &amp;other) <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keyword">friend</span> std::ostream &amp;<a class="code" href="class_o_auth_id.html#a128cd6ee21a190c1863b302232f31e21">operator&lt;&lt;</a>(std::ostream &amp;out, <span class="keyword">const</span> <a class="code" href="class_o_auth_id.html">OAuthId</a> &amp;oauthId);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keyword">static</span> QByteArray <a class="code" href="class_o_auth_id.html#aded9ca21e04af643afac6bfef5803fe6">getHash</a>(std::string toBeHashed);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    QByteArray userHash;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    QByteArray passwordHash;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;};</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_OAUTHID_H</span></div><div class="ttc" id="class_o_auth_id_html_a128cd6ee21a190c1863b302232f31e21"><div class="ttname"><a href="class_o_auth_id.html#a128cd6ee21a190c1863b302232f31e21">OAuthId::operator&lt;&lt;</a></div><div class="ttdeci">friend std::ostream &amp; operator&lt;&lt;(std::ostream &amp;out, const OAuthId &amp;oauthId)</div><div class="ttdoc">operator &lt;&lt; printer </div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:54</div></div>
<div class="ttc" id="class_o_auth_id_html_a2d56afa3d3ba8274e84dcc731cc8ab49"><div class="ttname"><a href="class_o_auth_id.html#a2d56afa3d3ba8274e84dcc731cc8ab49">OAuthId::getPasswordHash</a></div><div class="ttdeci">const QString getPasswordHash() const </div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:33</div></div>
<div class="ttc" id="class_o_auth_id_html_a9c79e46493ade8bfd80ce76cdf737f5b"><div class="ttname"><a href="class_o_auth_id.html#a9c79e46493ade8bfd80ce76cdf737f5b">OAuthId::OAuthId</a></div><div class="ttdeci">OAuthId(QString username, QString password)</div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:25</div></div>
<div class="ttc" id="class_o_auth_id_html_ab3a93fd96aec89e320b442aeaf5e061d"><div class="ttname"><a href="class_o_auth_id.html#ab3a93fd96aec89e320b442aeaf5e061d">OAuthId::operator=</a></div><div class="ttdeci">OAuthId &amp; operator=(const OAuthId &amp;id)</div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:45</div></div>
<div class="ttc" id="class_o_auth_id_html_aded9ca21e04af643afac6bfef5803fe6"><div class="ttname"><a href="class_o_auth_id.html#aded9ca21e04af643afac6bfef5803fe6">OAuthId::getHash</a></div><div class="ttdeci">static QByteArray getHash(std::string toBeHashed)</div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:61</div></div>
<div class="ttc" id="class_o_auth_id_html_a7bf5d93c1825b78515519013b05c5062"><div class="ttname"><a href="class_o_auth_id.html#a7bf5d93c1825b78515519013b05c5062">OAuthId::operator!=</a></div><div class="ttdeci">bool operator!=(const OAuthId &amp;other) const </div><div class="ttdoc">checks password hash of other credentials </div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:41</div></div>
<div class="ttc" id="class_o_auth_id_html_a67e1547b732f2d2e22c20a8e7171310e"><div class="ttname"><a href="class_o_auth_id.html#a67e1547b732f2d2e22c20a8e7171310e">OAuthId::operator==</a></div><div class="ttdeci">bool operator==(const OAuthId &amp;other) const </div><div class="ttdoc">checks password hash of other credentials </div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:37</div></div>
<div class="ttc" id="class_o_auth_id_html"><div class="ttname"><a href="class_o_auth_id.html">OAuthId</a></div><div class="ttdef"><b>Definition:</b> OAuthId.h:28</div></div>
<div class="ttc" id="class_o_auth_id_html_ad0de83b6ce1bc32fd31a9a691829998b"><div class="ttname"><a href="class_o_auth_id.html#ad0de83b6ce1bc32fd31a9a691829998b">OAuthId::getUserHash</a></div><div class="ttdeci">const QString getUserHash() const </div><div class="ttdef"><b>Definition:</b> OAuthId.cpp:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_00ae9869f82e985780277dc684d7236c.html">auth</a></li><li class="navelem"><a class="el" href="dir_d56a259c7af5e855decb82b8b9ef64c4.html">OAuthId</a></li><li class="navelem"><b>OAuthId.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
